Delete Note
curl --request DELETE \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes/{noteId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes/{noteId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"deleted": true
}Notes
Delete Note
Soft deletes a note by setting deletedAt and deletedBy timestamps. The note will no longer be returned in list or get operations.
Required permission: Permission depends on entity type:
events→claim.notes:updatepolicies→policy.notes:updateinsureds→insured.notes:update
DELETE
/
api
/
external
/
companies
/
{companyId}
/
{entityType}
/
{entityId}
/
notes
/
{noteId}
Delete Note
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
The type of entity (events, policies, or insureds) The type of entity the note is attached to
Available options:
events, policies, insureds The ID of the entity
Note identifier
Was this page helpful?
